MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
PlaylistError Class Reference

`#include <PlaylistError.hxx>`

Inheritance diagram for PlaylistError:
[legend]
Collaboration diagram for PlaylistError:
[legend]

## Public Member Functions
| PlaylistError (PlaylistResult _code, const char *msg)
PlaylistResult | GetCode () const

## Static Public Member Functions
static PlaylistError | NoSuchSong ()
static PlaylistError | NoSuchList ()
static PlaylistError | BadRange ()
static PlaylistError | NotPlaying ()

## Detailed Description

Definition at line 42 of file PlaylistError.hxx.

## Constructor & Destructor Documentation

PlaylistError::PlaylistError | ( | PlaylistResult | _code,
|  | const char * | msg
| ) |  |
| inline

Definition at line 46 of file PlaylistError.hxx.

## Member Function Documentation

static PlaylistError PlaylistError::BadRange | ( |  | ) |
| inline static

Definition at line 63 of file PlaylistError.hxx.

PlaylistResult PlaylistError::GetCode | ( |  | ) | const
| inline

Definition at line 49 of file PlaylistError.hxx.

static PlaylistError PlaylistError::NoSuchList | ( |  | ) |
| inline static

Definition at line 58 of file PlaylistError.hxx.

static PlaylistError PlaylistError::NoSuchSong | ( |  | ) |
| inline static

Definition at line 53 of file PlaylistError.hxx.

static PlaylistError PlaylistError::NotPlaying | ( |  | ) |
| inline static

Definition at line 68 of file PlaylistError.hxx.

The documentation for this class was generated from the following file:

- PlaylistError.hxx